{{
''***********************************************
''*  Program 15.2 4-Bit R-2R DAC Test
''*  Author: Jon Titus 08-22-2013 Rev. 1
''*  Copyright 2013
''*  Released under Apache 2 license
''*  Output a 4-bit value to a 4-bit R-2R resistor-  
''*  ladder DAC circuit and increment the count by  
''*  one each time through a repeat loop.
''***********************************************
}}

CON _clkmode = xtal1 + pll16x       'Set MCU clock operation
    _xinfreq = 5_000_000            'Set for 5 MHz crystal

VAR
  byte DAC_value                    'Variable for output to DAC circuit
 
PUB main                                              
 
 DIRA[23..16] := $0F                'Set four LED pins as outputs
 DIRA[11..8] := %1111               'Set four outputs to drive DAC circuit

 DAC_value := %0000                 'Initialize DAC output to zero

 'Repeat this loop forever
 repeat                     
    DAC_value := 1 + DAC_value      'Increment DAC_value by one
        
    OUTA[23..16] := DAC_value       'Output DAC_value to LEDs
    OUTA[11..8] := DAC_value        'Output DAC_value to DAC circuit
 
'' -----End Program 15.2-----        
        
        
  