''*****************************************************
''*  Program 4.2, "Rotate" a lit LED through all
''*  eight positions on the Propeller P8X32A board.
''*  Jon Titus, 12-05-2014 Rev. 1
''*  Copyright 2014                              
''*****************************************************{

VAR
  byte LED_number               'Set up a number to identify an LED                                     
                                
PUB Start                       'Name this object: Start
  LED_number := 16              'begin with 1st LED, P16
  DIRA[16..23] := %11111111     'all LED pins set as outputs
  repeat                        'create an endless loop
    OUTA[LED_number] := 1       'turn on LED at LED_number
    waitcnt(clkfreq/4 + cnt)    'wait 0.25 seconds
    OUTA[LED_number] := 0       'turn same LED off
    LED_number++                'increase LED number by one--next LED
    if LED_number > 23          'ensure count doesn't go past last LED
      LED_number := 16          'if count > 23 (last LED position)
                                'reset count to LED 16
      
  
  