''*****************************************************
''*  Program 4.1, Simple LED binary counter-
''*  with binary value displayed on the eight
''*  LEDs on the P8X32A Propeller board
''*  12-05-2014, Rev. 1
''*  Copyright 2014                              
''*****************************************************{


VAR
  byte LED_count                'Set up a count to display
                                'as an 8-bit binary value
PUB Start                       'Name this object: Start
  LED_count := 0                'begin count at 0
  DIRA[16..23] := %11111111     'all LED pins set as outputs
  repeat                        'create an endless loop
    OUTA[16..23] := LED_count   'output the count to the LEDs
    waitcnt(clkfreq/4 + cnt)    'wait 0.25 seconds
    LED_count++                 'increase count value by one
  
  