''*****************************************************
''*  Program 4.3, "Move" a lit LED back and forth
''*  through all eight LEDs on the Propeller P8X32A board.
''*  Jon Titus, 12-05-2014 Rev. 1
''*  Copyright 2014                              
''*****************************************************{

VAR
  byte LED_number                       'Set up a number to identify an LED                                       
                      

PUB Start                               'Name this object: Start
  
  DIRA[16..23] := %11111111             'all LED pins set as outputs
  repeat                                'create an endless loop
  
    repeat LED_number from 16 to 23     'loop for all 8 LED numbers
     OUTA[LED_number] := 1              'turn on identified LED
     waitcnt(clkfreq/4 + cnt)           'wait 0.25 seconds
     OUTA[LED_number] := 0              'turn off identified LED

    repeat LED_number from 22 to 17     'loop for 6 LED numbers
     OUTA[LED_number] := 1              'turn on identified LED
     waitcnt(clkfreq/4 + cnt)           'wait 0.25 seconds
     OUTA[LED_number] := 0              'turn off identified LED
     
        
  
  