''*****************************************************
''*  Program 4.4, Show two lit LEDs that move back
''*  and forth simultaneously through all
''*  eight positions on the Propeller P8X32A board.
''*  Jon Titus, 12-05-2014 Rev. 1
''*  Copyright 2014                              
''*****************************************************{

VAR
  byte Pattern_index                    'Set up an index into LED-pattern array
  byte LED_pattern[8]                   'Create array to hold LED patterns                   
  

PUB Start                               'Name this object: Start

  LED_pattern[0] := %00000000           'LED patterns
  LED_pattern[1] := %10000001           '1 = LED on, 0 = LED off
  LED_pattern[2] := %01000010
  LED_pattern[3] := %00100100
  LED_pattern[4] := %00011000
  LED_pattern[5] := %00100100
  LED_pattern[6] := %01000010
  LED_pattern[7] := %10000001
  
  DIRA[16..23] := %11111111             'all LED pins set as outputs
  Pattern_index := 0                    'start with LED_pattern[0]
  repeat                                'create an endless loop
    repeat Pattern_index from 0 to 7               'go through all 8 patterns
      OUTA[16..23] := LED_pattern[Pattern_index]
      waitcnt(clkfreq/4 + cnt)                     'wait 0.25 seconds
  
    
     
        
  
  