''*****************************************************
''*  Program 4.5, Use the eight LEDs on the Propeller
''*  P8X32A board as a bar graph.  The bar will go "up"
''*  or "down" continuously.
''*  Jon Titus, 12-05-2014 Rev. 1
''*  Copyright 2014                              
''*****************************************************{

VAR
  byte Pattern_index                            'Set up an index into LED-pattern array
  byte LED_pattern[9]                           'Create array ro hold LED patterns

PUB Start                                       'Name this object: Start

  LED_pattern[0] := %00000000                   'LED patterns for bar-graph display
  LED_pattern[1] := %00000001                   '1 = LED on, 0 = LED off
  LED_pattern[2] := %00000011
  LED_pattern[3] := %00000111
  LED_pattern[4] := %00001111
  LED_pattern[5] := %00011111
  LED_pattern[6] := %00111111
  LED_pattern[7] := %01111111
  LED_pattern[8] := %11111111
  
  DIRA[16..23] := %11111111                     'all LED pins set as outputs
  Pattern_index := 0
  repeat

    repeat Pattern_index from 0 to 8                'start with pattern 0
      OUTA[16..23] := LED_pattern[Pattern_index]    'send it to the LEDs
      waitcnt(clkfreq/4 + cnt)                      'wait 0.25 seconds

    repeat Pattern_index from 7 to 0                'bring graph bar down to 0
      OUTA[16..23] := LED_pattern[Pattern_index]
      waitcnt(clkfreq/4 + cnt)
    
     
        
  
  