''*****************************************************
''*  Program 4.6. Another bar-graph pattern display
''*  but without the need for stored LED patterns.
''*  Instead, the software creates the patterns as it
''*  goes through the code.
''*  Jon Titus, 12-05-2014 Rev. 1
''*  Copyright 2014                              
''*****************************************************{

VAR
  byte Pattern_index                    'Set up an index counter
  byte LED_pattern                      'Variable for calculated pattern

PUB Start                               'Name this object: Start

  LED_pattern := 0                      'First pattern, all LEDs off
  
  DIRA[16..23] := %11111111             'all LED pins set as outputs
    repeat

      repeat Pattern_index from 0 to 8  'go through eight patterns
        OUTA[16..23] := LED_pattern
        waitcnt(clkfreq/4 + cnt)
        LED_pattern := LED_pattern + ( %00000001 << Pattern_index)
        
      repeat Pattern_index from 0 to 8
        OUTA[16..23] := LED_pattern
        waitcnt(clkfreq/4 + cnt)
        LED_pattern := LED_pattern - ( %10000000 >> Pattern_index) 
        
    
     
        
  
  