{{
''***********************************************
''*  Program 7.1
''*  Author: Jon Titus 11-03-2014 Rev. 1
''*  Copyright 2014
''*  Released under Apache 2 license
''*  7-Segment code-test program.
''*  Loop through all 10 codes and
''*  display on 7 LEDs on P8X32A board
''*  to ensure codes appear properly.
''*  
''***********************************************
}}

CON _clkmode = xtal1 + pll16x           'Set MCU clock operation
    _xinfreq = 5_000_000                'Set for 5 MHz crystal
    
VAR
    byte segment_code[10]               'Storage for segment codes
    byte count                          'Variable for loop 
                                          
PUB Start                               'Main program starts here

segment_code[0] := %01111110            'Pattern for "0"
segment_code[1] := %00110000            'Pattern for "1"
segment_code[2] := %01101101            'Pattern for "2"
segment_code[3] := %01111001            'Pattern for "3"
segment_code[4] := %00110011            'Pattern for "4"
segment_code[5] := %01011011            'Pattern for "5"
segment_code[6] := %00011111            'Pattern for "6"
segment_code[7] := %01110000            'Pattern for "7"
segment_code[8] := %01111111            'Pattern for "8"
segment_code[9] := %01110011            'Pattern for "9"

dira[15..8] := %11111111                'Set eight output pins
  repeat                                'Main loop
    repeat count from 0 to 9
        outa[15..8] := segment_code[count]
        waitcnt(clkfreq + cnt)
                
  
 